PublicKey contains a public key byte array for a particular CurveType encoded in hex. Note that there is no PrivateKey struct as this is NEVER the concern of an implementation.

export
interface

  RosettaPublicKey

### Hierarchy

- RosettaPublicKey

## Index

### Properties

- curve_type
- hex_bytes

## Properties

### curve_type

curve_type: RosettaPublicKeyCurveTypeEnum

- Defined in src/generated/models/RosettaPublicKey.ts:33

CurveType is the type of cryptographic curve associated with a PublicKey.

memberof

  RosettaPublicKey

### hex_bytes

hex_bytes: string

- Defined in src/generated/models/RosettaPublicKey.ts:27

Hex-encoded public key bytes in the format specified by the CurveType.

memberof

  RosettaPublicKey

Generated using TypeDoc